
/* 
 * File:   STANDAARD.c  voor BRAINBOX PRO
 * Author: B.Huyskens   18/10/2016  WWW.E2CRE8.BE
 * Eenvoudig demo programma met LCD
 */

// PIC16F887 Configuration Bit Settings voor extren Xtal 19660800 - BRAINBOX PRO

// CONFIG1
#pragma config FOSC = HS        // Oscillator Selection bits (HS oscillator: High-speed crystal/resonator on RA6/OSC2/CLKOUT and RA7/OSC1/CLKIN)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled and can be enabled by SWDTEN bit of the WDTCON register)
#pragma config PWRTE = ON       // Power-up Timer Enable bit (PWRT enabled)
#pragma config MCLRE = ON       // RE3/MCLR pin function select bit (RE3/MCLR pin function is MCLR)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Code Protection bit (Data memory code protection is disabled)
#pragma config BOREN = ON       // Brown Out Reset Selection bits (BOR enabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal/External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enabled bit (Fail-Safe Clock Monitor is disabled)
#pragma config LVP = OFF        // Low Voltage Programming Enable bit (RB3 pin has digital I/O, HV on MCLR must be used for programming)

// CONFIG2
#pragma config BOR4V = BOR40V   // Brown-out Reset Selection bit (Brown-out Reset set to 4.0V)
#pragma config WRT = OFF        // Flash Program Memory Self Write Enable bits (Write protection off)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>
#include <stdio.h>
#include <stdlib.h>

#define _XTAL_FREQ 19660800         // Brainbox Pro running at 19660800Hz

#include "HITECH_LCD.h"             // include de zelfgeschreven LCD bibliotheek


void main() 
{
ANSEL = 0x00;                       // disable Analoge inputs
ANSELH = 0x00;                      // disable Analoge inputs
unsigned int y = 21987;             // locale variabele
LCD_Start(); 
LCD_Clear(); 
LCD_Cursor(3,1); 
LCD_PrintString("Hello World"); 	// print text on line 2 
LCD_Cursor(0,1); 
LCD_PrintASCII(36); 		//$ = ascii 36 

while(1) 
{ 
LCD_ClearLine(0);           // clear only line 0 
LCD_Cursor(3,0); 
LCD_PrintNumber(y); 		// print number y 
LCD_ScrollDisplay(1, 1); 	// shift right (1=right,1 place) 
__delay_ms(200);            // delay 200ms 
LCD_ScrollDisplay(0, 1); 	// shift left (0=left,1 place) 
__delay_ms(200);            // delay 200ms 
y = y + 1;                  //increment y 
} 
}

